//----------------------------------------------------------------------
//MODEULE: pwm.h
//COMMON DESCRIPTION:
//       This module contain headers for pwm.c 
//----------------------------------------------------------------------
// Common declarations
//----------------------------------------------------------------------
#ifdef PWM_ENABLED
  void pwm_init();
  #define pwm_init_mac() pwm_init()
  // Start PWM
  void pwm_start();
  // Stop PWM
  void pwm_stop();
  // Set wide of pulse for channel A
  void pwm_set_A(unsigned int w);
  // Set wide of pulse for channel B
  void pwm_set_B(unsigned int w);
#else
  #define pwm_init_mac()
#endif
//----------------------------------------------------------------------
