//----------------------------------------------------------------------
//MODEULE: key.c
//COMMON DESCRIPTION:
//  This module contain procedures for geting symbol from keyboard.
//----------------------------------------------------------------------
// Common declarations
//----------------------------------------------------------------------
#ifdef KEY_ENABLED
//
#define key_init_mac() key_init()
//
#define K_NONE      0x00
#define K_MODE      0x01
#define K_NEXT      0x02
#define K_PLUS      0x03
#define K_SEL       0x04
//----------------------------------------------------------------------
// Returns TRUE, if key was pressed. Call getch() for reading key code.
unsigned char iskey();
// Returns key code and enables reading new key
unsigned char getkey();
// On interrupt (0.1sec)
void key_int();
// Init key module
void key_init();
//----------------------------------------------------------------------
#else
//----------------------------------------------------------------------
#define key_init_mac()
//----------------------------------------------------------------------
#endif
//----------------------------------------------------------------------
