//----------------------------------------------------------------------
//MODEULE: port.h
//COMMON DESCRIPTION:
//  This module contain headers for port.c
//
//----------------------------------------------------------------------
// Common declarations
//----------------------------------------------------------------------
#ifdef EXTERNAL_IO_ENABLED
// Init macros
#define extports_init_mac() extio_port_init()
//----------------------------------------------------------------------
// Init All Output Ports (write 0xFF to it)
void extio_port_init();
// Writes mean to output port
void extio_wroport(unsigned char PORT,unsigned char MEAN);
// Return means, reading from output port number PORT
unsigned char extio_rdoport(unsigned char PORT);
// Reads mean from input port
unsigned char extio_rdiport(unsigned char PORT);
// Set bit number BIT in output port number PORT
void extio_oport_sbi(unsigned char PORT,unsigned char BIT);
// Clear bit number BIT in output port number PORT
void extio_oport_cbi(unsigned char PORT,unsigned char BIT);
//----------------------------------------------------------------------
#else
  #define extports_init_mac()
#endif
//----------------------------------------------------------------------
