//----------------------------------------------------------------------
// This file contaim macros, which used by hardware level (HL)
//----------------------------------------------------------------------
// F = F_CLK/256 | T=256/F_CLK
//----------------------------------------------------------------------
// Microlan Master Protocol (Calling with max. freq. F_CLK/256)
//#define T_INT_MAX_0()
//#define T_INT_MAX_2()
//#define T_INT_MAX_3()
//#define T_INT_MAX_4()
//----------------------------------------------------------------------
// F = 10Hz | T=0.1sec
//----------------------------------------------------------------------
#define RT_RUNTASK_100ms() task_100ms()
//#define T_INT_100MS_0()
//#define T_INT_100MS_1()
//#define T_INT_100MS_2()
//#define T_INT_100MS_3()
//----------------------------------------------------------------------
// F = 1Hz | T=1sec
//----------------------------------------------------------------------
#define RT_RUNTASK_1s()    task_1s()
//#define T_INT_1S_0()
//#define T_INT_1S_1()
//#define T_INT_1S_2()
//#define T_INT_1S_3()
//----------------------------------------------------------------------
// F = 1/60Hz | T=1min=60sec
//----------------------------------------------------------------------
#define RT_RUNTASK_1m()    task_1m()
//#define T_INT_1M_0()    
//#define T_INT_1M_1()
//#define T_INT_1M_2()
//#define T_INT_1M_3()
//----------------------------------------------------------------------
// F = 1/3600Hz | T=1hour=60min=3600sec
//----------------------------------------------------------------------
#define RT_RUNTASK_1h()    task_1h()
//#define T_INT_1H_0()   
//#define T_INT_1H_1()
//#define T_INT_1H_2()
//#define T_INT_1H_3()
//----------------------------------------------------------------------
